NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAM.BoundaryTurnBlank Class Reference

Represents a NXOpen.CAM.BoundaryTurnBlank More...

Inheritance diagram for NXOpen.CAM.BoundaryTurnBlank:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Position { AtHeadstock, AwayfromHeadstock }
 the mounting direction types available More...
 
enum  Type { Bar, Tube, Curve, Workspace }
 the blank types available More...
 

Properties

unsafe bool AutoPosition [get, set]
 Returns or sets the automatic position flag More...
 
unsafe
NXOpen.CAM.BoundaryTurnBlank.Type 
BlankType [get, set]
 Returns or sets the workpiece type More...
 
unsafe NXOpen.CAM.Boundary Boundary [get]
 Returns the boundary More...
 
unsafe double Diameter [get, set]
 Returns or sets the diameter of the bar More...
 
unsafe double EquidistantStock [get, set]
 Returns or sets the equidistant stock More...
 
unsafe double FaceStock [get, set]
 Returns or sets the face stock More...
 
unsafe bool FlipDirection [get, set]
 Returns or sets the flip direction flag More...
 
unsafe double InnerDiameter [get, set]
 Returns or sets the inner diameter of the tube More...
 
unsafe double Length [get, set]
 Returns or sets the length of the bar or tube More...
 
unsafe
NXOpen.CAM.BoundaryTurnBlank.Position 
MountingPosition [get, set]
 Returns or sets the mounting position More...
 
unsafe double OuterDiameter [get, set]
 Returns or sets the outer diameter of the tube More...
 
unsafe NXOpen.Point Point [get, set]
 Returns or sets the head stock position More...
 
unsafe double RadialStock [get, set]
 Returns or sets the radial stock More...
 
unsafe NXOpen.Point ReferencePoint [get, set]
 Returns or sets the reference point More...
 
unsafe NXOpen.Point TargetPoint [get, set]
 Returns or sets the target point More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAM.BoundaryTurnBlank

This builder cannot be instantiated separately.

Created in NX9.0.2

Member Enumeration Documentation

the mounting direction types available

Enumerator
AtHeadstock 
AwayfromHeadstock 

the blank types available

Enumerator
Bar 
Tube 
Curve 
Workspace 

Property Documentation

unsafe bool NXOpen.CAM.BoundaryTurnBlank.AutoPosition
getset

Returns or sets the automatic position flag

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.BoundaryTurnBlank.Type NXOpen.CAM.BoundaryTurnBlank.BlankType
getset

Returns or sets the workpiece type

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.Boundary NXOpen.CAM.BoundaryTurnBlank.Boundary
get

Returns the boundary

Created in NX9.0.2

License requirements: None.

unsafe double NXOpen.CAM.BoundaryTurnBlank.Diameter
getset

Returns or sets the diameter of the bar

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundaryTurnBlank.EquidistantStock
getset

Returns or sets the equidistant stock

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundaryTurnBlank.FaceStock
getset

Returns or sets the face stock

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe bool NXOpen.CAM.BoundaryTurnBlank.FlipDirection
getset

Returns or sets the flip direction flag

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundaryTurnBlank.InnerDiameter
getset

Returns or sets the inner diameter of the tube

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundaryTurnBlank.Length
getset

Returns or sets the length of the bar or tube

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.BoundaryTurnBlank.Position NXOpen.CAM.BoundaryTurnBlank.MountingPosition
getset

Returns or sets the mounting position

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundaryTurnBlank.OuterDiameter
getset

Returns or sets the outer diameter of the tube

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.Point NXOpen.CAM.BoundaryTurnBlank.Point
getset

Returns or sets the head stock position

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundaryTurnBlank.RadialStock
getset

Returns or sets the radial stock

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.Point NXOpen.CAM.BoundaryTurnBlank.ReferencePoint
getset

Returns or sets the reference point

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.Point NXOpen.CAM.BoundaryTurnBlank.TargetPoint
getset

Returns or sets the target point

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.